Bug 1294896 - multi-arch requirements in RPM
multi-arch requirements in RPM
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libsolv (Show other bugs)
25
x86_64 Linux
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-30 15:28 EST by Ferry Huberts
Modified: 2017-05-09 08:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-08 15:21:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
meta package spec file (2.84 KB, text/plain)
2015-12-30 15:28 EST, Ferry Huberts
no flags Details
debug run files (5.95 MB, application/x-bzip)
2016-01-04 15:26 EST, Ferry Huberts
no flags Details

  None (edit)
Description Ferry Huberts 2015-12-30 15:28:15 EST
Created attachment 1110623 [details]
meta package spec file

Description of problem:
I have a meta-packages that declares multi-lib dependencies, like x86_64 and i686 devel packages.

Installing that package results in some of the x86_64 packages being installed and some of the i686 package.

So not the complete set of requirements, and not even a consistent set of only the x86_64 or only the i686 packages!!


Version-Release number of selected component (if applicable):
dnf-1.1.5-1.fc23.noarch

How reproducible:
always

Steps to Reproduce:
1. package attached spec file
2.
3.

Actual results:
see description

Expected results:
every dependency installed

Additional info:
There are some rpmfusion dependencies in the attached spec file
Comment 1 Honza Silhan 2016-01-04 07:48:51 EST
Can you attach debug data [1], please? All packages are recommended, they should be probably required.

[1] https://github.com/rpm-software-management/dnf/wiki/Bug-Reporting#dependency-resolution-problem
Comment 2 Ferry Huberts 2016-01-04 15:26 EST
Created attachment 1111566 [details]
debug run files

This debug run was done on a Fedora 23 x64 minimum install with the correct repos installed and jenkins already installed from its upstream repo.
Comment 3 Ferry Huberts 2016-01-04 15:27:56 EST
According to the cli log, only x64 packages were installed this time,
none of the i686 packages.
Comment 4 Honza Silhan 2016-01-11 07:19:17 EST
Thanks for the data, we'll take a look.
Comment 5 Ferry Huberts 2016-04-26 13:07:10 EDT
how are things coming, this is still giving me grief
Comment 6 Fedora Admin XMLRPC Client 2016-07-08 05:37:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Igor Gnatenko 2016-07-21 06:19:40 EDT
I will take a look soon.
Comment 8 Jan Kurik 2016-07-26 01:02:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 9 Ferry Huberts 2017-01-11 11:47:42 EST
ping
Comment 10 Ferry Huberts 2017-05-08 07:57:19 EDT
What's the status please?
Comment 11 Igor Gnatenko 2017-05-08 15:21:50 EDT
You should use virtual provides like `foo-devel(x86-32)` (e.g. check wine spec) and then it will install what you need.

Recommends is weak dependency, so it is fine if there will be missing deps.
Comment 12 Ferry Huberts 2017-05-08 16:35:09 EDT
where can i find this wine spec?

my problem is that I want to install BOTH i686 and x64 packages...

Note You need to log in before you can comment on or make changes to this bug.